package lib.turtle;

using tink.CoreApi;

class Helper {
	public static function times(func:Void->Outcome<Noise, String>, times:Int):Outcome<Noise, {step:Int, error:String}> {
		for (i in 0...times) {
			switch (func()) {
				case Success(_):
				case Failure(err):
					return Failure({step: i, error: err});
			}
		}

		return Success(null);
	}
}
